View Issue Details

IDProjectCategoryView StatusLast Update
0022191LazarusLCLpublic2017-01-13 23:50
ReporterAnton S.Assigned ToJuha Manninen 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS XOS Version10.6.8
Product Version1.1 (SVN)Product Build37233 
Target VersionFixed in Version1.1 (SVN) 
Summary0022191: Focus jumping on Arrow keys from control to control (TEdit unusable)
DescriptionWith TEdits, the carret, instead of move char by char, will jump to next control on any arrow key (righ/down -> next control, left/up -> previous control)

After debugging a bit i'v found that it is caused by 37142 revision
(or do i need to set some new magic flag to avoid this jumping after 37142? )
TagsNo tags attached.
Fixed in Revisionr37689, r53933
LazTarget-
WidgetsetCarbon
Attached Files

Relationships

related to 0022721 assignedFelipe Monteiro de Carvalho Left/right arrows have wrong behaviour in Find dialog box 

Activities

Paul Ishenin

2012-06-19 03:17

manager   ~0060621

Please test and close if ok.

Anton S.

2013-11-05 17:48

reporter   ~0071160

Last edited: 2013-11-05 17:51

View 2 revisions

TEdit now works great, but TComboBox is still jumpy.

In combo box:
if you press left/right key it jumps to prev/next control,
if you press up/down key it jumps to prev/next control AND open the items list.

Will attach test project.

Edit: Tested on Laz SVN 1.3 (rev 43375)

Anton S.

2013-11-05 17:49

reporter  

ComboBoxTest.zip (3,114 bytes)

Juha Manninen

2017-01-12 16:58

developer   ~0097438

Applied a temporary fix by AlexeyT. Felipe will move the code later to WS, Carbon and Cocoa.
Please test.

Issue History

Date Modified Username Field Change
2012-06-04 15:29 Anton S. New Issue
2012-06-04 15:29 Anton S. Widgetset => Carbon
2012-06-04 17:18 Juha Manninen Status new => assigned
2012-06-04 17:18 Juha Manninen Assigned To => Paul Ishenin
2012-06-19 03:17 Paul Ishenin Fixed in Revision => 37689
2012-06-19 03:17 Paul Ishenin LazTarget => -
2012-06-19 03:17 Paul Ishenin Status assigned => resolved
2012-06-19 03:17 Paul Ishenin Fixed in Version => 1.1 (SVN)
2012-06-19 03:17 Paul Ishenin Resolution open => fixed
2012-06-19 03:17 Paul Ishenin Note Added: 0060621
2013-11-05 17:48 Anton S. Note Added: 0071160
2013-11-05 17:48 Anton S. Status resolved => assigned
2013-11-05 17:48 Anton S. Resolution fixed => reopened
2013-11-05 17:49 Anton S. File Added: ComboBoxTest.zip
2013-11-05 17:51 Anton S. Note Edited: 0071160 View Revisions
2017-01-04 16:53 Juha Manninen Relationship added related to 0022721
2017-01-12 16:41 Juha Manninen Assigned To Paul Ishenin => Juha Manninen
2017-01-12 16:58 Juha Manninen Fixed in Revision 37689 => r37689, r53933
2017-01-12 16:58 Juha Manninen Note Added: 0097438
2017-01-12 16:58 Juha Manninen Status assigned => resolved
2017-01-12 16:58 Juha Manninen Resolution reopened => fixed